/**
 * Created by zhang on 2018/8/14.
 */


//重庆综合里程、工地转移费率值修改特殊处理

if (typeof feeRateObject !== 'undefined') {
    feeRateObject.feeRateSpecialHandle = function (subRate, value) {
        let result = {};
        if (subRate.name == "工地转移(km)" && value && value < 50) {//工地转移50km以内按50km算
            result.valueKey = "50";
            result.value = scMathUtil.roundForObj(value, getDecimal("feeRate"));//设置显示的节点值
        }
        if (subRate.name == "综合里程(km)" && value && value < 3) {//综合里程3km以内按3km算
            result.valueKey = "3";
            result.value = scMathUtil.roundForObj(value, getDecimal("feeRate"));//设置显示的节点值
        }
        return result;
    }
}

// 累进的基数名称
const progression = [
    '施工场地建设费', '养护单位(业主)管理费', '信息化费', '路线工程监理费', '独立桥梁隧道工程监理费',
    '设计文件审查费', '路线勘察设计费', '独立桥梁隧道维修加固勘察设计费', '招标代理及标底(最高投标限价)编制费'
];
// 累进计算金额不足时的处理映射
const deficiency = {
    '路线工程监理费': 20000, // 不足2万按2万
    '独立桥梁隧道工程监理费': 20000,
    '设计文件审查费': 3000
};

if (typeof module !== 'undefined') {
    module.exports = {
        progression,
        deficiency
    };
}